<?php

namespace App\Generated\V1_1\Messages\User;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class UidTranslationImAccountMessage extends Message
{
    use ValueHelper;

    protected $reqUid;
    protected $reqIMAccount;
    protected $uid;
    protected $imAccount;

    /**
     * @return int|null
     */
    public function getReqUid()
    {
        return $this->reqUid;
    }

    /**
     * @return string|null
     */
    public function getReqIMAccount()
    {
        return $this->reqIMAccount;
    }

    public function requestRules()
    {
        return [
            ['reqUid', 'req_uid', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['reqIMAccount', 'req_i_m_account', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['uid', 'uid', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['imAccount', 'im_account', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
        ];
    }

    public function setResponse($uid, $imAccount)
    {
        $this->uid = $uid;
        $this->imAccount = $imAccount;
    }

}
